#!/bin/bash
#################################################
# sphynx.sh
# script de configuration de sphynx
# execute par instance-sphynx
#################################################

. ParseDico
. /usr/share/eole/FonctionsEoleNg

# On genere un bi-clef rsa sur chaque machine si il n'existe pas
if [ ! -e /root/.ssh/id_rsa.pub ] &&
        [ ! -e /root/.ssh/id_rsa ]
	then
	        ssh-keygen -t rsa -b 2048 -f /root/.ssh/id_rsa -N "" -q
fi

## Haute Dispo ##
# Instanciation du fichier cib.xml (qui permet la mise en place de la haute dispo)
if [ "$haute_dispo" != "non" ]
then
	if [ -e /var/lib/heartbeat/crm/cib.xml ]
	then
		/etc/init.d/heartbeat stop
		if [ $? != 0 ]
		then
			kill -9 `pgrep heartbeat` 2>&1 >/dev/null
		fi
		rm -f /var/lib/heartbeat/crm/*
	fi
	/usr/share/creole/creolecat.py -i /etc/eole/config.eol -o /var/lib/heartbeat/crm/cib.xml /etc/eole/template/cib.xml
	chown hacluster.haclient /var/lib/heartbeat/crm/cib.xml
fi

#On test si la base existe. Si c'est le cas, et que la haute dispo est activee, on lance le script d'update de la base
if [ -e "$RepSphynx/xml/sphynx.xml" ]
then
	if [ "$haute_dispo" != "non" ]
	then
		cd /usr/share/eole/sphynx-vpn/tunnel
		./haute_dispo
	fi
else
	Question "Voulez-vous initialiser la base Sphynx maintenant ?"
	if [ $? -eq 0 ];then
		/usr/share/eole/init-sphynx.sh
	fi
fi

echo

exit 0
