#!/bin/bash

. ParseDico

if [ $haute_dispo == "maitre" ];then
	tcpcheck 3 $adresse_ip_esclave_eth2:22 | grep -q alive
	if [ $? -ne 0 ];then
		echo -e "\n    ERREUR : Esclave injoignable !\n"
		exit 1
	fi		
else
	tcpcheck 3 $adresse_ip_maitre_eth2:22 | grep -q alive
	if [ $? -ne 0 ];then
		echo -e "\n    ERREUR : Maitre injoignable !\n"
		exit 1
	fi		
fi

RepFreeswan="/etc/freeswan/"
RepBase="/usr/share/eole/sphynx-vpn/xml/"
RepData="/home/data/"

if [ ! -e /etc/ha.d/.hdinitilise ]
then
	if [ $haute_dispo == "maitre" ]
	then		
		scp /root/.ssh/id_rsa.pub root@$adresse_ip_esclave_eth2:.ssh/authorized_keys
		touch /etc/ha.d/.hdinitilise
	elif [ $haute_dispo == "esclave" ]
	then
		 scp /root/.ssh/id_rsa.pub root@$adresse_ip_maitre_eth2:.ssh/authorized_keys
		touch /etc/ha.d/.hdinitilise
	fi
fi
if [ $haute_dispo == "maitre" ]
then
	/usr/bin/rsync -e ssh --recursive --links --perms --times --delete $RepBase $adresse_ip_esclave_eth2:$RepBase
	/usr/bin/rsync -e ssh --recursive --links --perms --times --delete /usr/share/eole/sphynx-vpn/cfg/ $adresse_ip_esclave_eth2:/usr/share/eole/sphynx-vpn/cfg/
	/usr/bin/rsync -e ssh --recursive --links --perms --times --delete $RepFreeswan $adresse_ip_esclave_eth2:$RepFreeswan
	/usr/bin/rsync -e ssh --recursive --links --perms --times --delete $RepData $adresse_ip_esclave_eth2:$RepData
	##Changement ip eth0 par celle de l'esclave dans la base xml et regeneration de la conf ipsec
        ssh root@$adresse_ip_esclave_eth2 "/bin/sed \"s/right>$adresse_ip_eth0/right>$adresse_ip_esclave_eth0/g\" $RepBase/sphynx.xml > $RepBase/sphynx.xml.tmp; mv -f $RepBase/sphynx.xml.tmp $RepBase/sphynx.xml;/usr/share/eole/regen-config_rvp.sh;"

elif [ $haute_dispo == "esclave" ]
then
	/usr/bin/rsync -e ssh --recursive --links --perms --times --delete $RepBase $adresse_ip_maitre_eth2:$RepBase
	/usr/bin/rsync -e ssh --recursive --links --perms --times --delete /usr/share/eole/sphynx-vpn/cfg/ $adresse_ip_maitre_eth2:/usr/share/eole/sphynx-vpn/cfg/
	/usr/bin/rsync -e ssh --recursive --links --perms --times --delete $RepFreeswan $adresse_ip_maitre_eth2:$RepFreeswan
	/usr/bin/rsync -e ssh --recursive --links --perms --times --delete $RepData $adresse_ip_maitre_eth2:$RepData
	##Changement ip eth0 par celle du maitre dans la base xml et regeneration de la conf ipsec
        ssh root@$adresse_ip_maitre_eth2 "/bin/sed \"s/right>$adresse_ip_eth0/right>$adresse_ip_maitre_eth0/g\" $RepBase/sphynx.xml > $RepBase/sphynx.xml.tmp; mv -f $RepBase/sphynx.xml.tmp $RepBase/sphynx.xml;/usr/share/eole/regen-config_rvp.sh;"

fi
